Websites

Create a share for a website

POST/api/websites/{websiteId}/shares

Creates a named share for the specified website with optional parameters.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Request body

NameTypeDescription
namerequiredstringDisplay name of the resource.
parametersobjectConfiguration parameters for the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
entityIdrequiredstringID of the resource being shared.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
shareTyperequirednumberType of resource made available by the share.
slugrequiredstringURL slug used to access the resource.
updatedAtrequiredstringDate and time the record was last updated.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL